# LayerCollector

LayerCollector : `GuiBase2d`

## Overview

LayerCollector serves as the base class for UI instances such as ScreenGui, SurfaceGui, and BillboardGui, responsible for displaying UI elements on the screen

## Properties

### Enabled

`boolean`

You can set the visibility of LayerCollector on the screen.

If false, UI elements are not displayed on the screen, and input events or state changes do not trigger updates.

#### Code Samples

```lua
ScreenGui.Enabled = false
```

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/layercollector.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
